Leap0

Get file or directory info

Returns metadata about a file or directory at the given path.

POST
/v1/sandbox/{sandboxID}/filesystem/stat

Returns metadata about a file or directory at the given path.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the file or directory.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/stat" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "name": "string",  "path": "string",  "is_dir": true,  "size": 0,  "mode": "string",  "mtime": 0,  "owner": "string",  "group": "string",  "is_symlink": true,  "link_target": "string"}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}
{  "message": "string"}